mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SHA384 System.Runtime.InteropServices.ComVisible(true)

The hash is used as a unique value of fixed size representing a large amount of data. Hashes of two sets of data should match if and only if the corresponding data also matches. Small changes to the data result in large unpredictable changes in the hash.

The hash size for the algorithm is 384 bits.

Computes the hash for the input data using the managed library.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The hash is used as a unique value of fixed size representing a large amount of data. Hashes of two sets of data should match if and only if the corresponding data also matches. Small changes to the data result in large unpredictable changes in the hash.

  The hash size for the algorithm is 384 bits.

  Important If you enable the following security setting either in the Local Security Policy or as part of Group Policy you will get an when you attempt to use this constructor:

  System cryptography: Use FIPS compliant algorithms for encryption, hashing, and signing

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is not called by application code.

  This abstract method performs the hash computation. Every write to the cryptographic stream object passes the data through this method. For each block of data, this method updates the state of the hash object so a correct hash value is returned at the end of the data stream.

  When overridden in a derived class, routes data written to the object into the hash algorithm for computing the hash.

  The input data. The offset into the byte array from which to begin using data. The number of bytes in the array to use as data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  This method is not called by application code. This method finalizes any partial computation and returns the correct hash value of the data stream.

  When overridden in a derived class, finalizes the hash computation after the last data is processed by the cryptographic stream object.

  The computed hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The hash is used as a unique value of fixed size representing a large amount of data. Hashes of two sets of data should match if and only if the corresponding data also matches. Small changes to the data result in large unpredictable changes in the hash.

  The hash size for the algorithm is 384 bits.

  Initializes an instance of .